glib-sharp System.ValueType The GLib Runtime type identification and management system. The GType API is the foundation of the GObject system. It provides the facilities for registering and managing all fundamental data types, user-defined object and interface types.
- Constructor
  a
  Constructor for GType. Primarily used in generated wrappers for gtk objects.
  Generated code from gnome/generated/About.cs:

  [DllImport("gnomeui-2")] static extern IntPtr gnome_about_get_type();

  public static new GLib.GType GType { get { IntPtr raw_ret = gnome_about_get_type(); GLib.GType ret = new GLib.GType(raw_ret); return ret; } }

- Field
  GLib.GType The for values.
- Field
  GLib.GType The for "boxed" struct values.
- Field
  GLib.GType The for values.
- Field
  GLib.GType The for values.
- Field
  GLib.GType The for GType-registered enum values.
- Method
  System.Boolean `` Object to test for equality. Tests for equality. if the native type is equivalent.
- Field
  GLib.GType The for GType-registered flag values.
- Field
  GLib.GType The for values.
- Method
  GLib.GType `` Native type name. Looks up a native type value by name. the requested type, or if lookup fails.
- Method
  GLib.GType To be added. To be added. To be added.
- Method
  System.IntPtr To be added. To be added. To be added.
- Method
  System.UInt32 To be added. To be added. To be added.
- Method
  System.IntPtr To be added. To be added. To be added.
- Method
  System.Int32 Gets a hashing value. An integer hash value.
- Method
  GLib.GType To be added. To be added. To be added.
- Method
  System.Void Initializes the native type system. This operation is implicitly performed by . The native type system must be initialized before most glib API is used.
- Field
  GLib.GType The for values.
- Field
  GLib.GType The for values.
- Field
  GLib.GType The for unmanaged interface values.
- Field
  GLib.GType An invalid .
- Method
  System.Boolean `` a pointer to a native object. Checks if a native object is an instance of the native type. if , the instance is of this type.
- Field
  GLib.GType Native G_TYPE_LONG. Note, it is safer to use when using managed long types.
- Method
  System.Type `` a Looks up the corresponding to an unmanaged GType a
- Field
  GLib.GType A corresponding to .
- Field
  GLib.GType The for values.
- Method
  System.Boolean `` `` a type to compare. a type to compare. Equality operator. if , a and b are the same native type.
- Method
  System.Type `` a native type. Casts a native type to a managed type. a managed type corresponding to the given native type, or .
- Method
  GLib.GType `` a managed type. Casts a managed type to a native type. a native type corresponding to the given native type, or if no corresponding type is found.
- Method
  System.Boolean `` `` a type to compare. a type to compare. Inequality operator. if , a and b are not the same native type.
- Field
  GLib.GType The for paramspec values.
- Field
  GLib.GType The for pointer values.
- Method
  System.Void `` `` a a Registers a to mapping.
- Event
  GLib.TypeResolutionHandler To be added. To be added.
- Field
  GLib.GType The for values.
- Method
  System.String The native type name. a string containing the native type name.
- Field
  GLib.GType The for values.
- Field
  GLib.GType The for values.
- Field
  GLib.GType The for values.
- Field
  GLib.GType The for gulong values. Note: it is safer to use for managed ulongs.
- Property
  System.IntPtr Read only property retrieves the representing the GType object in question. a